libmwaw_applepict2::PictParser Class Reference

internal and low level: map opcode id -> OpCode More...

## Public Member Functions

| PictParser ()
| the constructor More...
void | parse (MWAWInputStreamPtr input, libmwaw::DebugFile &dFile)
| internal and low level: parses a picture and stores the parsing in dFile More...

## Protected Attributes

std::map< int, OpCode const * > | m_mapIdOp
| the map More...

## Detailed Description

internal and low level: map opcode id -> OpCode

## Constructor & Destructor Documentation

libmwaw_applepict2::PictParser::PictParser | ( |  | ) |

inline

the constructor

## Member Function Documentation

void libmwaw_applepict2::PictParser::parse | ( | MWAWInputStreamPtr | input,
|  | libmwaw::DebugFile & | dFile
| ) |  |

internal and low level: parses a picture and stores the parsing in dFile

Note
  this is mainly a debugging function but this function can probably serve as model if we want to convert a Pict1.0 in another format

## Member Data Documentation

std::map<int,OpCode const *> libmwaw_applepict2::PictParser::m_mapIdOp

protected

the map

The documentation for this class was generated from the following file:

- MWAWPictMac.cxx